package com.realnet.test.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.test.Entity.Test22;
import com.realnet.test.Services.Test22Service ;






@RequestMapping(value = "/Test22")
 @CrossOrigin("*") 
@RestController
public class Test22Controller {
	@Autowired
	private Test22Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test22")
		  public Test22 Savedata(@RequestBody Test22 data) {
		Test22 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test22/{id}")
	public  Test22 update(@RequestBody Test22 data,@PathVariable Integer id ) {
		Test22 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test22/getall/page")
	public Page<Test22> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test22> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test22")
	public List<Test22> getdetails() {
		 List<Test22> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test22")
	public List<Test22> getallwioutsec() {
		 List<Test22> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test22/{id}")
	public  Test22  getdetailsbyId(@PathVariable Integer id ) {
		Test22  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test22/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}